#pragma once

#include <string>

#include "ChallengeResponse.h"

class UpdateServer
{
    public:
        enum UpdateTypes {
            UT_FLASH = 0,
            UT_SPIFFS = 1
        };

        UpdateServer(const std::string &pw);

        void start(void);

    private:
        static void updateTask(void *arg);

        ChallengeResponse m_cr;
};
